import java.util.*;
import java.util.stream.Collectors;

public class Main {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        String[] nk = scanner.nextLine().split(" ");
        int n = Integer.parseInt(nk[0]);
        int k = Integer.parseInt(nk[1]);
        String[] listapolja  =  scanner.nextLine().split(" ");
        Integer[] polja = new Integer[n];
        for (int i = 0; i < n; i++) {
            polja[i] = Integer.parseInt(listapolja[i]);
        }

        scanner.close();

        Map<Integer,  Integer> brojponavljanja = new HashMap<>();
        List<Integer> poljazazamenu = new ArrayList<>();

        for (Integer polje: polja) {
            if(poljazazamenu.contains(polje)) continue;
            if(brojponavljanja.get(polje) == null) {
                brojponavljanja.put(polje, 1);
                continue;
            }
            if(brojponavljanja.get(polje) == k-1) poljazazamenu.add(polje);

        }

        System.out.println(poljazazamenu.size());
        String result = poljazazamenu.stream()
                .map(broj -> String.valueOf(broj))
                .collect(Collectors.joining(" "));

        System.out.println(result);

    }
}